Skip to main content
POST
/
api
/
v0
/
companies
/
{company_id}
/
sso-enforcement-rules
Create an SSO enforcement rule for a company.
curl --request POST \
  --url https://api.example.com/api/v0/companies/{company_id}/sso-enforcement-rules \
  --header 'Content-Type: application/json' \
  --data '
{
  "domain": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "domain": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": {
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "username": "<string>",
    "avatar": "<string>",
    "disabledAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

company_id
string<uuid>
required

Body

application/json
domain
string
required

Response

SSO enforcement rule created successfully

Ensures that company users can't sign in with email+password auth with email from a specified domain. Such users can sign in through a Google SSO only.

id
string<uuid>
required
companyId
string<uuid>
required
domain
string
required

Users with emails registered on those domains will be forced to authenticate with Google SSO.

createdAt
string<date-time>
required
createdBy
object
required

Profile info of a user.